FORUMS
Remove All Ads from XDA

[Magisk][Module] OnePlus 5GHz mod

38 posts
Thanks Meter: 14
 
By Thomasvt, Member on 13th August 2017, 08:23 PM
Post Reply Email Thread
Hi,

I just got my Google WiFi 3-kit and it seems that the channel they work on (149) wasn't supported in my country (NL) so I made a simple Magisk module to change the region to [EU]

This 'fix' is simpy a change to "wifi-service.jar" which can be located in /system/framework/

Source: https://github.com/thomasvt1/extendwifi

DOWNLOAD

Updates v7
  • Update OOS to 4.5.10
  • Add support for Magisk v14.0



Special thanks to:
- https://forum.xda-developers.com/pix...uired-t3558044
Attached Files
File Type: zip magisk-module-extendwifi.zip - [Click for QR Code] (466.4 KB, 464 views)
File Type: zip magisk-module-extendwifi-v7.zip - [Click for QR Code] (465.0 KB, 874 views)
The Following 3 Users Say Thank You to Thomasvt For This Useful Post: [ View ] Gift Thomasvt Ad-Free
 
 
16th August 2017, 04:09 AM |#2  
Senior Member
Thanks Meter: 148
 
More
Would there be any benefit to flashing this if I'm in the US, or do they all have the NL flag?
16th August 2017, 11:30 AM |#3  
Member
Thanks Meter: 65
 
More
The wifi region is selected based on the SIM in your phone. Most people won't need this, care, or notice.
Second, this is probably illegal since it changes your phone to use frequencies that are not allowed in the users home country. Is anyone going to get caught or in trouble for this? Unlikely. But it also won't be useful unless you've purchased hardware that broadcasts on frequencies not allowed in your country. IE, Google WiFi hasn't been released in Europe yet and doesn't officially follow EU frequency range. Which is why it's useful for @Thomasvt but not for anyone else.


@PokemonTotalWar: Long answer? No.
16th August 2017, 01:13 PM |#4  
OP Member
Thanks Meter: 14
 
More
@PokemonTotalWar: For US users, probably not, except if you use channel 12/13 from the 2.4GHz spectrum. > https://en.wikipedia.org/wiki/List_of_WLAN_channels
@Raharazod Actually Google WiFi is released in the EU. (France, Germany and the UK) http://www.androidpolice.com/2017/06...france-monday/ as for my country. All Apple products, and my laptop happily use the 5GHz network without any modification except my OnePlus 5.
16th August 2017, 01:33 PM |#5  
Member
Thanks Meter: 65
 
More
Quote:
Originally Posted by Thomasvt

@Raharazod Actually Google WiFi is released in the EU. (France, Germany and the UK) http://www.androidpolice.com/2017/06...france-monday/ as for my country. All Apple products, and my laptop happily use the 5GHz network without any modification except my OnePlus 5.

OH! I thought it was still pending release over here. Wasn't really keeping a close eye.

Well it shouldn't.
There ARE 5Ghz bands that are allowed in the EU, just not all of them. I was assuming that your module enabled ones that weren't otherwise allowed.
26th November 2017, 09:14 PM |#6  
Junior Member
Thanks Meter: 1
 
More
I've got my phone bootloop
Quote:
Originally Posted by Thomasvt

Hi,

I just got my Google WiFi 3-kit and it seems that the channel they work on (149) wasn't supported in my country (NL) so I made a simple Magisk module to change the region to [EU]

This 'fix' is simpy a change to "wifi-service.jar" which can be located in /system/framework/

Source: https://github.com/thomasvt1/extendwifi

DOWNLOAD

Updates v7

  • Update OOS to 4.5.10
  • Add support for Magisk v14.0



Special thanks to:
- https://forum.xda-developers.com/pix...uired-t3558044

After installing module I've got my phone bootloop. May you define place for the original wifi-service.jar file during module installation.

Thanks, Kinger
26th November 2017, 09:27 PM |#7  
OP Member
Thanks Meter: 14
 
More
Quote:
Originally Posted by Kinger1970

After installing module I've got my phone bootloop. May you define place for the original wifi-service.jar file during module installation.

Thanks, Kinger

Just use 'magisk mount' and remove it from /magisk.

What O2OS are you running?
26th November 2017, 10:36 PM |#8  
Junior Member
Thanks Meter: 1
 
More
Thank you for quick response
Quote:
Originally Posted by Thomasvt

Just use 'magisk mount' and remove it from /magisk.

What O2OS are you running?

Thank you, restored system easily. Problem I'm not running O2OS system on phone I've crashed, installed on different phone by mistake.

Thank you, cheers!
27th November 2017, 07:16 AM |#9  
Senior Member
Thanks Meter: 110
 
More
I got another Problem on oreo closed beta 2.

After update from 4.5.14 my 5ghz wont connect with settings in router auto channel..

This means channels 36 above until 52 wont work.
If i sett a special channel like 52 above my 5ghz wifi connects to my op5..

Did OnePlus messed something up?

Located in Germany op5 A5000
27th November 2017, 07:18 PM |#10  
Member
Thanks Meter: 9
 
More
Hi Dimontiman,

Have you tried with the official OxygenOS Open Beta 1? Since leaked closed beta 1 and 2 were not made for public and lots of bugs.

Did it give any errors when adding the module in Magisk?

If still doesn't work on official open beta 1, then perhaps an update to this module would be required perhaps.
27th November 2017, 07:21 PM |#11  
Senior Member
Thanks Meter: 110
 
More
Quote:
Originally Posted by keepasa

Hi Dimontiman,

Have you tried with the official OxygenOS Open Beta 1 (8.0)?

Yes both open beta 1 and xlosed beta 2

Same Wifi Problems
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes